biblatex-dw 2023/03/11 v1.7b
Copyright (c) 2008-2023 Dominik Waßenhoven <domwass(at)web.de>

 Version history
 ---------------

v1.7b [2023/03/11]
This version of biblatex-dw was tested with biblatex 3.19 and biber 2.19.
- BUGFIX: With xref=true and useeditor=false, there could be a superfluous 
	comma. This should now be fixed (ticket 25 at biblatex-dw.sf.net).
- New entry option "idembib" in order to suppress the idem functionality for
  single entries. See the documentation for details. (Cf. ticket 14 at biblatex-dw.sf.net.)
- Code cleanup (using some suggestions from ticket 23 at biblatex-dw.sf.net).
- Minor improvements to the documentation.

v1.7a [2023/03/09]
This version of biblatex-dw was tested with biblatex 3.17 and biber 2.17.
- BUGFIX: With xref=true, the addendum of the child entry was not printed. This
  is now fixed (ticket 31 at biblatex-dw.sf.net).
- BUGFIX: In certain circumstances, the idembib option yielded a wrong output 
  (idem, where different names in name lists were given). This should be fixed
  now (ticket 22 at biblatex-dw.sf.net).
- BUGFIX: With xref=true, @inbook entries could have incorrect punctuation in the 
  bibliography (missing delimiter after the referenced book author). This should 
  be fixed now (cf. ticket 24 at biblatex-dw.sf.net).

v1.7 [2016/12/06]
This version of biblatex-dw needs at least biblatex 3.3 and was tested with 
biblatex 3.6 and biber 2.6.
- New option "citeauthorname" (instead of "firstfullname") which can take the
  values "normal" (\citeauthor and \textcite print the surname only, as in 
  standard biblatex), "firstfull" (at the first use of \citeauthor or \textcite, 
  the full name is printed, otherwise the surname only; thus, this is the 
  behaviour of the former option "firstfullname") and "full" (the full name is 
  always printed when using \citeauthor or \textcite). The default for this option
  is "normal".
- Option "firstfullname" has been dropped (see above, option "citeauthorname").
- Option "series" can now take the values "standard", "afteryear" and 
  "beforeedition". The latter is new and prints the series ahead of the edition. 
  The default for this option is "standard".
- BUGFIX: From version 3.3 of biblatex, \DeclareNameFormat has changed. This 
  version of biblatex-dw is now compatible with the new syntax.
- BUGFIX: In some circumstances, the option "inreference=full" was broken. This
  should be fixed now.
- BUGFIX: In some cases, @review in combination with the xref functionality 
  suppressed the output of pages. This should be fixed.
- Compatibility with biblatex 2.9 regarding the list of shorthands.

v1.6a [2013/09/22]
This version of biblatex-dw was tested with biblatex 2.7a and biber 1.7.
 - New option "inreference" (authortitle-dw only) which can take the values 
   "normal" and "full": If set to "full", @inreference entries are printed always 
   in full, but are omitted from the bibliography. Note that when using 
   "xref=false", you have to cite the corresponding @reference entry manually 
   (e.g. with \nocite) if you wish to see the @reference entry in the 
   bibliography. The "inreference" option complies with both ibidtracker and
   idemtracker. The default for this option is "normal".
 - BUGFIX: With the option "addyear" a superfluous space was introduced in some
   circumstances. This should be fixed now.

v1.6 [2013/09/07]
This version of biblatex-dw was tested with biblatex 2.7a and biber 1.7.
 - New option "addyear" (authortitle-dw only): If set to "true", the year of the 
   publication will be added after the title in citations. The year appears in 
   parentheses. The default for this option is "false".
 - BUGFIX: If a title ended with a question mark or an exclamation mark, the 
   "seenote" string in footnote-dw was capitalised. This has been fixed.
 - BUGFIX: There was a problem with @inbook entries in the bibliography when
   using xref=true (the author of the book entry was not always shown). This is
   now fixed.
 - BUGFIX: Using annotation=true and/or library=true lead to a superfluous
   linebreak and dot in those entries which held an annotation and/or library.
 
v1.5 [2012/06/28]
This version of biblatex-dw was tested with biblatex 1.7.
 - BUGFIX: The functionality of ibidpage=true was broken. This is now fixed.
 - BUGFIX: With edbyidem=true (and xref=false), the first citation of an 
   @inbook entry where author and editor are the same, but the bookauthor 
   differs resulted in "ed. by idem", which is wrong. This is now fixed.
 - BUGFIX: With edbyidem=false, the book author of @inbook entries
   was not typeset in the appropriate format. This could lead to a
   wrong output (e.g. "Lastname, Firstname" instead of "Firstname 
   Lastname"). This is now fixed.
 - BUGFIX: With @inreference entries, the output could be 
   inconsistent with regard to the volume(s). This is now fixed.
 - BUGFIX: Changes in font size for \annotationfont and \libraryfont
   led to a wrong baselineskip. This is now fixed.
 - BUGFIX: There was a small bug in @collection entries concerning the 
   punctuation after the labelname. This should be fixed now.
 - BUGFIX: With shorthandinbib=true the \labelnamepunct was printed when there
   was no author or editor present. This lead to superfluous punctuation and is
   now fixed.
 - BUGFIX: In some circumstances the final period of the bibliography items
   (\finentry) was not printed. This is now fixed.
 - In authortitle-dw, the \textcite command now also considers
   the value of the firstfull option. That means, if a work
   is cited for the first time via a \textcite command, the
   result would be "<Name> (<full citation>)".
 - New option "citeauthor" which can take the values "namefont", "namefontfoot"
   and "normalfont". This option controls the name format for the \citeauthor
   command. With "citeauthor=namefont" the same format as set by the option
   "namefont" is used. This is the default behaviour. With "citeauthor=normalfont"
   the normal font is always used for \citeauthor, regardless of the "namefont"
   option. With "citeauthor=namefontfoot" the "namefont" format is used if the
   \citeauthor command is inside a footnote, otherwise the normal font is used.
 - The list of shorthands with option terselos=true is now even more terse: 
   the [main]subtitle and [main]titleaddon fields are now also omitted.
   
v1.4 [2011/11/20]
This version of biblatex-dw was tested with biblatex 1.7 and 
requires at least version 1.6 of biblatex. 
 - BUGFIX: With @review entries cited by \fullcite or
   \footfullcite the reviewed work was not printed in full.
   This is now fixed.
 - BUGFIX: With "shorthandinbib=true" and "terselos=false", 
   the shorthand was printed twice in the list of 
   shorthands. This is now fixed.
 - The \smartcite commands introduced by biblatex 1.2 are 
   now supported.
 - The \textcite and \textcites commands are now also supported
   by footnote-dw.
 - New command \textcitesdelim: delimiter between author names
   when using \textcites. The default is:
   \addspace\bibstring{and}\space
 - New option "seriesformat" which can take the values 
   "standard" and "parens". If set to "parens", the series 
   of a book etc. will be printed in parentheses, otherwise 
   without (as is the biblatex standard behaviour). The 
   default value for this option is "parens" (as was the 
   behaviour in earlier biblatex-dw versions).
 - New option "editorstringfont" which can take the values 
   "normal" and "namefont". With "normal", the normal font 
   is used, with "namefont", the setting for the option 
   "namefont" is also used for the editor string (and 
   translator string etc.). The default value for this 
   option is "normal".
 - New option "editionstring": If set to "true", the 
   bibliography string "edition" will be added to the 
   "edition" field, even if it is not an integer. Thus, 
   you can type, e.g., 
      edition = {2., aktualisierte}
   in your bib file and you will get "2., aktualisierte 
   Aufl." (or, with option abbreviate=false: "2., 
   aktualisierte Auflage"). "editionstring=false" will give 
   biblatex’s default behaviour. The default for this option 
   is "false". 
 - New entry option "oldbookauthor" which is equivalent to 
   "oldauthor" but for the bookauthor (this is useful for 
   @inbook entries representing, e.g., an introduction to an 
   edition of a work by an author that should not be typeset 
   in the usual font for last names). This option can be set 
   on a per entry basis and can be disabled with the global 
   option "oldauthor=false".
 - Improved options "namefont", "firstnamefont", "idemfont" 
   and "ibidemfont" which are now aware of the setting of 
   the biblatex option "punctfont".
 - Small bugfix for the xref functionality.

v1.3c [2011/02/06]
This version of biblatex-dw needs biblatex 1.1a. Please note 
that you have to update biblatex as well if you would like 
to use biblatex-dw 1.3c!
 - BUGFIX: Under some circumstances, an error occurred 
   (command \cbx@tempa could not be found). This should be 
   fixed now.
 - BUGFIX: Some of the German translations were broken due 
   to a change of internal commands in biblatex. This is now 
   fixed.
 - The entry type @review is now supported. You can 
   specify a reviewed work via the xref field. See the 
   documentation for details. 
 - Some internal changes concerning \DeclareFieldFormat 
   directives.

v1.3b [2010/11/21]
This version of biblatex-dw was tested against biblatex 1.0, 
but it should also work with versions from biblatex 0.9d.
The following changes were made to biblatex-dw:
 - BUGFIX: Using pagetotal=false and citepages=separate, the 
   herename was printed as soon as the pagetotal field was 
   present (although the pagetotal field itself was not
   printed). This is now fixed, and the citepages option 
   pays attention to the pagetotal option.
 - In order to match as closely as possible to biblatex 
   itself, the \citenamepunct command was renamed to 
   \nametitledelim. For compatibility reasons with earlier 
   versions of biblatex-dw, the \citenamepunct was kept. 
   Thus, it does not matter if you redefine \nametitledelim 
   or \citenamepunct, the effect will be the same; but note 
   that the \citenamepunct may be dropped in later versions 
   of biblatex-dw. 
 - In full citations \nametitledelim is used instead of 
   \labelnamepunct.
 - Improvements regarding idem functionality in combination
   with xref=true.
 - Improved the documentation.

v1.3a [2010/09/21]
This version of biblatex-dw supports biblatex 0.9d. Please 
note that you have to update biblatex at least to version 
0.9b if you would like to use biblatex-dw 1.3a! You will 
also need to install the package logreq which is a new 
requirement since biblatex 0.9b. Users might also need to 
update their data due to some changes in biblatex 0.9a and 
biblatex 0.9b. Please follow the hints for users given in 
biblatex’s RELEASE notes for both of these versions.
The following changes were made to biblatex-dw:
 - Option "omitpages" was renamed to "citepages" and 
   enhanced. As in the verbose standard styles, you can now 
   choose between "permit", "omit", "suppress" and 
   "separate". Other as in the biblatex styles, the standard 
   for this option in biblatex-dw is "separate".
 - Option "herename" dropped. The same functionality can now 
   be achieved by using "citepages=separate". Note that the 
   bibliography string "herename" was also dropped, 
   "thiscite" is used instead.
 - New option "shorthandinbib": if set to "true", the 
   shorthand of each entry will be typeset in the 
   bibliography before each item. The shorthand will be set 
   in brackets, separated by a space. You can customize this 
   behaviour by adjusting the following commands:
     \DeclareFieldFormat{shorthandinbib}{\mkbibbrackets{#1}}
     \newcommand*{\shorthandinbibpunct}{\addspace}
   The default for "shorthandinbib" is "false".
 - BUGFIX: The shorthandpunct could not be redefined by a 
   simple \renewcommand, but only as an argument of 
   \AtBeginDocument. This is now fixed, and a simple 
   \renewcommand is sufficient. 
 - BUGFIX: The shorthandpunct was also printed, when the 
   option "shorthandwidth" was not in use (this had only 
   effect, when the shorthandpunct was redefined). This is 
   now fixed.
 - BUGFIX: When using authortitle-dw with "firstfull=true", 
   a \parencite had an erroneous space for the first 
   citation without a postnote. This is now fixed.
 - BUGFIX: The new editorial roles introduced in biblatex 
   0.9 were not fully supported. This is now fixed.
 - BUGFIX: The option "firstfullname" did not work with
   biblatex’s option "uniquename". This is now fixed.
 - BUGFIX: When using hyperref, some links to the 
   bibliography were broken. This should now be fixed. 
 - BUGFIX: In @inbook entries the punctuation after a book 
   author was not the \labelnamepunct. This is now fixed.

v1.3 [2010/03/11]

This version of biblatex-dw supports biblatex 0.9. Please 
note that you have to update biblatex as well if you would 
like to use biblatex-dw 1.3! Users might need to update 
their data due to some changes in biblatex, especially 
concerned with date specifications. Please follow the hints 
for users given in biblatex’s RELEASE notes.

Further changes in this release:
 - The options "isrn" and "issn" were dropped. Their
   functionality can be achieved by the biblatex option 
   "isbn".
 - BUGFIX: When using "idembibformat=dash", the @inreference 
   entries had a wrong punctuation inside the title. This is 
   now fixed.
 - Option "pseudoauthor" changed: if set to true (and the 
   entry option "pseudoauthor" is used), the author of this 
   entry is printed. The new commands \bibleftpseudo and 
   \bibrightpseudo are used to enclose the author. These 
   commands are empty by default. If the global option 
   "pseudoauthor" is set to "false", the author of entries 
   with the entry option "pseudoauthor" are not printed at 
   all. The default value for the global option is "true" 
   (i.e. the behaviour is the same regardless of the entry 
   option "pseudoauthor").
 - New command \locationdatepunct for the punctuation 
   between location and year/date. The default is \addspace.
 - New command \locationpublisherpunct for the punctuation
   between location and publisher. The default is 
   \addcolon\space.
 - New command \publisherdatepunct for the punctuation 
   between publisher and year/date. The default is 
   \addcomma\space.
 
v1.2o [2010/02/14]
 - BUGFIX: When using the options "xref=true" and 
   "useeditor=false", the editor was not printed in the 
   bibliography. This is now fixed. Also, some bugs 
   regarding the xref functionality in citations could be 
   fixed.
 - BUGFIX: The editors in @incollection, @inproceedings and 
   @inreference entries were printed using the name format 
   "sortname" ("Lastname, Firstname") where it should have 
   been the name format "byeditor" ("Firstname Lastname"). 
   This is now fixed.   
 - New option "omiteditor": If one uses "useeditor=false" 
   and "omiteditor=true", the editor in citations will be 
   omitted. The same applies to the xref functionality in 
   the bibliography. With "useeditor=true", this option has 
   no effect. The standard for this option is "false".
 - The limitation regarding the combination of "xref=true", 
   "edbyidem=true" and "useeditor=false" is no longer valid.
   That means, it is not necessary to have the editor in the 
   child entry as well in order to get an "idem" string.
 - Extended the documentation.

v1.2n [2010/01/24]
 - The option "edbeforetitle" was discarded. The same 
   functionality can be obtained by the option "useeditor". 
   In this context, some bugs could be resolved. 
 - New option "omitpages": if set to "true", the page range 
   of @article, @inbook, @incollection or @inproceedings 
   entries will be suppressed in full citations. 
   The standard value is "false".
 - Extended the documentation regarding the xref 
   functionality.

v1.2m [2010/01/18]
 - BUGFIX: Changed the default of \citerevsdnamedelim which 
   used to be a \slash. Now it is empty, because otherwise 
   it produced two slashes in some circumstances.
 - BUGFIX: In footnote-dw with "xref=true", the reference to 
   the first entry did not work if the first citation of a 
   parent was cited via a child. This is now fixed. 
 - BUGFIX: In footnote-dw the punctuation of @collection 
   entries was wrong when using a prenote in conjunction 
   with "useeditor=false" or when there was no editor. This 
   is now fixed.
 - The biblatex option "singletitle" can now be used both 
   with authortitle-dw and footnote-dw. Using this option, a
   work"s title is only printed if there is not more than
   one work by the author or editor. 
 - New entry option "pseudoauthor". If set to true, the 
   author is put in brackets. This is useful for e.g. 
   editions of works whose authors are not named, but are 
   known. See the documentation for details. The entry 
   option does only have effect if the global option 
   "pseudoauthor" is set to "true". The default value is 
   "false".
   
v1.2l [2009/10/19]
 - BUGFIX: With footnote-dw, the references to the first 
   citations did not work, when refsections were used. This 
   is now fixed.
 - BUGFIX: With xref=true, when no volume was present in an 
   @inreference entry as well as in its corresponding 
   @reference entry, the bibstring "vol." was printed. This 
   is now fixed. 
 - New option "shortjournal". If set to "true", the field 
   "shortjournal" is used instead of "journaltitle". This is
   useful for journal abbreviations. The default is "false".
 - New option "acronyms". If set to "true", shorthands (and 
   with "shortjournal=true" also the abbreviated journal 
   titles) are set with the command \mkbibacro, but only if 
   the entry option "acronym" is set to "true". The default 
   is "false".
 - New option "pageref" (in footnote-dw only). If set to 
   "true", it adds the page to the footnote number pointing 
   to the full citation if it is located on a different 
   page. This option is the same as in the standard styles 
   "verbose-note" and "verbose-inote". The default is false.
 - In footnote-dw, the pointer to the earlier citation is 
   suppressed if a shorthand exists and the option "citedas" 
   is true. Note that you can override the global option 
   "citedas" by setting the entry option "citedas".

v1.2k [2009/08/22]
 Adjustments to biblatex version 0.8e. Note that from this 
 version on biblatex 0.8e is required, so you have to update 
 biblatex as well if you would like to use biblatex-dw 1.2k!
   - Compound abbreviations (introduced in biblatex-dw 1.2i)
     are now separated by the new biblatex command 
     "\addabthinspace"; this affects only the German 
     localization in strings like "hg. v."
   - The improved concatenation of roles is used. See 
     biblatex’s release notes for details.
   - The new auxiliary macros for ordinals are used. See 
     biblatex’s release notes for details.
 BUGFIXES
 - BUGFIX: The option "ibidpage" did not work with 
   footnote-dw. This is now fixed. 
 Changed Entry Types
 - @inreference
   Up to now, this entry type was an alias for 
   @incollection. From now on, this entry type can be used 
   for articles in encyclopedias or dictionaries. For 
   details on how @inreference entries differ from @
   incollection entries, please consult the documentation.
   The @reference type remains an alias for @collection.
 New Options
 - "isrn" and "pagetotal"
   These options can take the values "true" and "false". 
   With these options you can decide whether you want to 
   have printed the corresponding fields or not. 
   The default for these options is "false". 
 - "edstringincitations"
   If set to "true", the editor and translator strings are 
   shown in the citations (not only in the full citations). 
   The default is "true".
 - "series=standard|afteryear"
   If set to "afteryear", the series is printed after the 
   year. This affects the entry types @book, @inbook, 
   @collection, @incollection, @proceedings, @inproceedings 
   and @manual.
 New Commands
 - "seriespunct"
   punctuation before the series (of a book etc.). This 
   punctuation is set inside the parentheses. You can set it 
   e.g. to "=\addspace" which is common in some fields. The 
   default is empty, i.e. the series is printed right after 
   the opening round bracket.
 - "sernumstring"
   punctuation between series (of a book etc.) and number. 
   The default is "\addspace". You can easily redefine it, 
   e.g.:
     \renewcommand*{\sernumstring}{%
       \addcomma\space\bibstring{volume}\addspace}
   This would give "(Name of Series, vol. N)".
 - "herenamepunct"
   If the "herename" is used, the punctuation before the 
   herename is determined by "herenamepunct". The default is 
   \addcomma\space.
 Localization Changes
 - In German localization, the strings "withcommentator", 
   "withannotator" and "withintroduction" are shortened as 
   follows:
   -> withcommentator: komm. v.
   -> withannotator: erläut. v.
   -> withintroduction: eingel. v.
   The long versions stay the same as in standard biblatex. 

v1.2j [2009/08/16]
 - This is just a bugfix release. The only files changed are
   footnote-dw.cbx, CHANGES, README and LIESMICH.
 - BUGFIX: Since biblatex version 0.8e, footnote-dw gave an 
   error (Undefined control sequence: \blx@addperiod). This 
   is now fixed; thus, biblatex-dw (or rather footnote-dw) 
   should work with the biblatex versions 0.8e, 0.8f, 0.8g 
   and 0.8h, but it will not work with earlier versions.

v1.2i [2009/05/10]
 - BUGFIX: When using option "usetranslator=true", the 
   translator string was not aware of the option 
   "editorstring". This is now fixed.
 - Improved bibmacro "journal+issuetitle" which is now aware 
   of the option "edbeforetitle".
 - The "typeeditor" field is now supported. It can take the 
   values "editor" and "compiler". This field determines the 
   editor string after the name of the editor(s). The 
   abbreviated forms are "ed." for "editor" and "comp." for 
   "compiler". In German, both strings are the same 
   ("Herausgeber" or "Hrsg.").
 - In English, the "idem" string is now declined (idem, 
   eadem, idem in singular; eidem, eaedem, eadem in plural) 
   and no longer abbreviated, even if abbreviate=true is 
   used.
 - Improved the handling of "origfields=true".
 - In German, the string "reprint" (Nachdruck) is now 
   abbreviated as "Ndr.", not as "Nachdr."
 - Compound abbreviations are now separated by a thin space 
   rather than a normal one. At the moment, this affects 
   only the German localization in strings like "hg. v."

v1.2h [2009/03/29]
 - BUGFIX: The "idem" functionality is now also aware of 
   page breaks. If the citation is the first on a page (or 
   double page in twoside mode), the "idem" is suppressed. 
   If you don’t want this behaviour, you can set the option 
   "pagetracker=false".

v1.2g [2009/03/20]
 - Option "journalnumber" replaces "journumafteryear". The 
   option was enhanced and can now take the values 
   "standard", "afteryear" and "date". The value "standard" 
   is the same as the old journumafteryear=false, 
   "afteryear" is the same as the old journumafteryear=true. 
   The new value "date" assures that the date is printed, 
   even if the field issue is given (this is not the case in 
   the standard styles). Additionally, "journalnumber=date" 
   prints the number before the date, if the date (at least 
   year and month) is given, but it prints the number after 
   the year, if only the year is given (i.e. if the date is 
   not further specified). See the documentation for 
   details. The default is "journalnumber=standard".
 - Improved german-dw.lbx.
 - Adjusted the documentation for screen reading. A printer 
   friendly version can still be compiled from the source.

v1.2f [2009/02/15]
 - Adjustments to biblatex version 0.8c. Note that from 
   this version on biblatex 0.8c is required, so you have to
   update biblatex as well if you would like to use 
   biblatex-dw 1.2f!
   -> The biblatex-dw option "idem" was replaced by the new
      biblatex option "idemtracker". The standard setting is
      "idemtracker=constrict". If you would like to switch 
      off the idem functionality, you can use 
      "idemtracker=false". For more information on the 
      "idemtracker" option see the biblatex manual.
 - New options "doi", "eprint", "isbn" and "issn" which can 
   take the values "true" and "false". With these options 
   you can decide whether you want to have printed the 
   corresponding fields or not. The default for these 
   options is "false" (as was the standard before). 
 - New option "idemfont" which can take the values 
   "smallcaps", "italic", "bold" and "normal". The default 
   is none which means that the "idem" string is printed in 
   the font shape of "namefont". 
 - New option "ibidemfont" which can take the values 
   "smallcaps", "italic" and "bold". The default is none 
   which means that the "ibidem" string is printed in normal 
   font shape.   
 - New macro "jourvolstring" which introduces the volume of
   an article entry. The default is a space (as it was the
   case before), but you can adjust it to your needs, e.g.:
   \renewcommand*{\jourvolstring}{\addspace vol\adddot\space}
 - New macro "journumstring" which introduces the number in
   article entries, if the option "journumafteryear" is set
   to "true". The default for this macro is a comma, 
   followed by the bibstring "number" and a non-breakable 
   space. You can redefine it to your needs, e.g.:
   \renewcommand*{\journumstring}{\addspace} 
 - If there is no volume in an article entry, but the month
   field is set, the date is separated from the journal 
   title by a comma and a space, not only a space.
 - Fixed some BUGS concerning the xref functionality. 
 - Reorganized some bibliography drivers.
 - Enhanced the documentation.

v1.2e [2008/12/19]
 - Adjustments to biblatex version 0.8b. Note that from 
   this version on biblatex 0.8b is required, so you have to
   update biblatex as well if you would like to use 
   biblatex-dw 1.2e!
   -> The new biblatex option "usetranslator" is supported.
 - BUGFIX: The option "firstfullname" introduced in version
   1.2d had a bug which is now fixed.
 - BUGFIX: The "idem" functionality did not work with the 
   multicite commands. This is now fixed.
 - New option "journumafteryear": If set to "true", the 
   "number" in article entries is printed after the year and
   introduced by the bibstring "number". If set to "false",
   the default behaviour is used, i.e. "Journaltitle 
   volume.number (year)". The default is "true".
   -> If "journumafteryear" is set "false", the separator
      between volume and number in @article entries is now
      configurable with the new command "\jourvolnumsep". 
      The default is a dot (which is also the default in
      biblatex).
 - When the "volume" is missing, the parenthesis around the
   year in @article entries is omitted.
 - The multicite command \cites is now also always printed 
   as footnote in "footnote-dw".
 - Some changes in the internal code.
 - Extended the documentation and examples.

v1.2d [2008/12/07]
 - BUGFIX: In footnote-dw, the punctuation after the author/
   editor in all citations but the first one was always a 
   comma and not configurable by \citenamepunct. This is now 
   fixed.
 - New option "firstfullname": when set to "true", the 
   commands \citeauthor and \textcite (with footnote-dw: 
   \citeauthor only) give the full name of authors/editors 
   when they have not been cited before, not only the last 
   name. The default is "false".
 - Support for biblatex version 0.8a including 
   \MakeSentenceCase.
 - Added lbx files with alternative strings for German and 
   additional strings for both German and English (these 
   strings were already included, but are now stored in the 
   language mapping files).

v1.2c [2008/11/15]
 - New option "idembibformat": When using "idembib=true", 
   you can choose whether you want to have an "idem" string 
   in the bibliography (idembibformat=idem) or a dash 
   (idembibformat=dash), as is the standard setting in 
   biblatex. The standard is "idembibformat=idem".
 - Option "idembib" changed: Now "false" means that 
   subsequent entries of the same author are given with full 
   names, not a dash (as was the behaviour up to now). The 
   standard is "idembib=true".
 - Improved xref support: The child entry does not only scan
   for the "volume" field of the parent entry, but prints 
   also "location" and "year", if they differ from the 
   parent entry.
   
v1.2b [2008/11/09]
 - BUGFIX: With "xref=true", the first (full) citation did 
   not show the overall pages of @INBOOK, @INCOLLECTION and 
   @INPROCEEDINGS entries. This is now fixed.
 - New option "nolocation". If set to "true", the location 
   and the publisher are omitted (even if you set 
   "nopublisher=false"). The default is "false", i.e. the 
   location is printed.
 - The option "shorthandibid" can now also be used on a 
   per-entry basis.
 - Improved xref support: If the "volume" field of a child 
   entry is set and the "volume" field of the corresponding 
   parent entry is not set, the volume of the child entry 
   will be printed immediately before the pages.

v1.2a [2008/10/19]
 - Improved option "edsuper" which also outputs non-integer 
   editions (though not as superscript, but rather similar 
   to a note.) 
 - The field "origpublisher" (new in biblatex 0.8) is now
   also supported.
 - New option "origfields" which can take the values "true" 
   (standard) and "false". With this option, you can now 
   decide, whether you want to have the fields 
   "origlocation", "origpublisher" and "origyear" to be 
   printed or not.
   -> New option "origfieldsformat=parens|brackets|punct". 
      The default is "punct" which means that the new 
      punctuation mark "\origfieldspunct" (default: 
      \addcomma\space) is used  to introduce the reprint 
      phrase. If you choose "parens" or "brackets", the 
      reprint phrase is put in parentheses or brackets, 
      respectively, and the \origfieldspunct is ignored.
 - New option "shorthandwidth". With this option you can set 
   the width of the label in the list of shorthands to any 
   length (e.g. "3em" or "40pt"). This is useful if you have 
   very long shorthands.
   -> New punctuation command "\shorthandpunct" which is 
      only exerted when you use the option "shorthandwidth". 
      Then it is set to a colon. You can redefine this 
      punctuation command with \renewcommand.
   -> New length "\shorthandsep" which is only exerted if 
      you use the option "shorthandwidth". The length 
      "\shorthandsep" defines the spacing after the label in 
      the list of shorthands. 
 - Improved package warnings.

v1.2 [2008/10/09]
 - Adjustments to biblatex version 0.8. Note that from 
   version 1.2 on, biblatex-dw needs at least biblatex 0.8, 
   so you have to update biblatex as well if you would like 
   to use biblatex-dw 1.2!
   -> The new biblatex option "firstinits" is supported.
   -> The new macro \bibpagespunct is also supported.
 - Added option "xref" which can be set to "true" or 
   "false". If you want to use the crossref functionality 
   (introduced in biblatex-dw version 1.1f), you now have to 
   set "xref=true". See the documentation for details.
 - As biblatex 0.8 has changed the handling of the field 
   "edition", the option "edsuper" had to be adjusted. See 
   the documentation of biblatex-dw for details.
 - Updated the documentation.

v1.1h [2008/09/24]
 - BUGFIX: When using the options "edbeforetitle" and 
   "edbyidem", the idem funcionality did not work. This is 
   now fixed.
 - Updated documentation (see especially, if you are using 
   the crossref functionality) and examples.
 
v1.1g [2008/09/05]
 - The biblatex package option "mincrossrefs" is set to "1" 
   (instead of "2"). The reason is that otherwise entries 
   that are using the crossref functionality introduced in 
   biblatex-dw version 1.1f could be incomplete.
 - If both "volumes" and "volume" are present, "volumes" is 
   now set before "volume".

v1.1f [2008/08/10]
 - BUGFIX: Corrected wrong punctuation when using "idembib=
   false" in conjunction with an editor.
 - Added crossref functionality (using biblatex’s field 
   "xref"). This works for authortitle-dw as well as 
   footnote-dw. For further information please have a look 
   into the package documentation.

v1.1e [2008/06/13]
 - BUGFIX: The option "edbeforetitle" caused a problem
   when used together with the "idem" functionality
   (which is the default). This is now fixed. 
 - Enhanced the "idem" functionality: If a citation with 
   shorthand precedes a citation of the same author or 
   editor without shorthand, the string "idem" is now 
   replaced by the author’s or editor’s name, since this
   information cannot be gathered from the shorthand 
   citation and thus could mislead the reader.

v1.1d [2008/06/05]
 - BUGFIX: The global option "oldauthor" which was 
   introduced in version 1.1c caused an erroneous behaviour 
   when used together with "idembib=true" (which is the 
   default). This is now fixed.
 - New option "editorstring" which can take the values 
   "parens", "brackets" and "normal"; the default is 
   "parens". This option sets the string "editor" 
   (abbreviated "ed.") in parentheses or in brackets, or 
   just puts the string (with a preceding comma) after the 
   editor name.
 - New option "edbeforetitle" which can take the values 
   "true" and "false"; the default is "false". When set to 
   "true", the editor in @INCOLLECTION and @INPROCEEDINGS 
   entries will be typeset before the booktitle ("... in: 
   Editor (ed.): Booktitle ...") rather than afterwards 
   ("... in: Booktitle, ed. by Editor ...").
 - Small correction in the terse version of the List of 
   Shorthands concerning the punctuation after authors/
   editors.
 - Added missing bibliography drivers for option "edbyidem".

v1.1c [2008/05/29]
 - BUGFIX: With the option "idem=false", the author of a 
   first citation who was cited immediately before with 
   another work lacked the forename.
 - BUGFIX: The option "edbyidem=false" produced a 
   superfluous "ed. by" string.
 - BUGFIX: Small punctuation issue with repeated citations 
   and "herename". 
 - New option "namefont" which can take the values 
   "smallcaps", "italic" and "bold". The default is none, 
   i.e. authors and editors are set in normal font shape. 
   With "useprefix=true", this option also affects the 
   name prefix.
 - New option "firstnamefont" which can take the values 
   "smallcaps", "italic" and "bold". This also affects the 
   name prefix (with "useprefix=false") and the name 
   affix.
 - The option "oldauthor" is now also available as global 
   option in order to disable the feature. If you set 
   "oldauthor=false" globally, every entry option 
   "oldauthor=true" is ignored. Thus, you can set the 
   fontname for every author with global options, 
   independent of entry options. 

v1.1b [2008/04/13]
 - BUGFIX: When using \parencite with "footnote-dw",  
   additional parentheses (e.g. enclosing the string
   "editor") were lost; they are now replaced by brackets. 
 - BUGFIX: In "footnote-dw", the normal \cite command 
   always produced a capital letter at the beginning. This
   is fixed now.
 - Fixed a small punctuation error in connection with 
   "herename".
 - New command \titleaddonpunct for the punctuation before 
   titleaddon, booktitleaddon and maintitleaddon. The 
   default is a period now (not a comma, as before).
 
v1.1a [2008/02/09]
 - BUGFIX: When using the commands "mancite" or 
   "citereset", the "idem" functionality was not reset. 
   This is now fixed.
 - New option "edsuper". If set to "true", the edition is 
   printed as superscript number (not as ordinal number) 
   straight ahead of the year. The default is "false".
 - New option "firstfull" (only in "authortitle-dw"). If 
   set to "true", the first citation is a fullcite. The 
   default is "false".
 - Option "citedas" is now also available for 
   "authortitle-dw" and used when "firstfull" is set to 
   "true".
   
v1.1 [2008/02/01]
 - BUGFIX: The "citedas" functionality did not work if the 
   first citation of an entry was introduced by "idem".
 - New option "terselos" introduced for a terse version of 
   the list of shorthands (default is "true").
 - New option "herename" introduced to specify if the term 
   \enquote{here} should prelude the pages of a fullcite 
   (or, with "footnote-dw", also the first citation of an 
   entry) which has a non-empty \texttt{pages}-field.
 - New option "nopublisher" introduced to suppress the 
   publisher. The default value is "true", but if you want 
   to have the publisher printed, you now can set the 
   option "nopublisher=false".
 - If the field "origlocation" is given, it will be set 
   together with "origyear", whereas "location" and "year"
   are appended in parentheses, preluded by the bibstring 
   "reprint".
 - The options "annotation" and "library" are now also 
   usable with the style "footnote-dw". The annotations 
   and library information are only printed in the 
   bibliography (if there is one), not in the citations or 
   in the list of shorthands.
 - Updated documentation.  

v1.01 [2008/01/20]  
 - BUGFIX: The "pagetracker" functionality did not work 
   properly with the style "footnote-dw"
 - Excluded ISBN/ISSN and DOI also from entry types 
   booklet, inproceedings, manual, misc, periodical, 
   proceedings, and report
 - Punctuation corrections for the same entry types 
   concerning the series+number  

v1.0 [2008/01/14]
 - Initial release
